MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000996XdebugUsage problems (Wrong Results)public2013-10-31 11:472015-04-06 00:53
ReporterSvetlanaZem 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2.3 
Target VersionFixed in Version2.3.3 
Summary0000996: Can't evaluate property of class that extends ArrayObject
Description<?php

class Clazz extends ArrayObject{

}

$a = new Clazz();
$a->b = array(1,2,3);

echo $a->b; //set breakpoint here

?>

Can't get $a->b via 'context_get' ("can not get property"), but the same property is successfully received via 'eval'.
Additional InformationThe issue is reproducible on PhpStorm (http://youtrack.jetbrains.com/issue/WI-15975 [^]).
TagsNo tags attached.
Operating System
PHP Version5.5-dev
Attached Fileslog file icon xdebug.log [^] (34,520 bytes) 2013-10-31 11:47
png file icon Untitled-1.png [^] (19,937 bytes) 2015-02-16 16:53

- Relationships

-  Notes
(0002765)
mistbow (reporter)
2014-03-09 11:48

Same issue here with ArrayObject instances and PhpStorm 7.1.3.
(0002993)
mistbow (reporter)
2015-02-16 16:20

Hi! This bug fix someday? What is the problem? Is it very difficult?
From 2013-10-31...
(0003053)
mattab (reporter)
2015-03-30 02:47
edited on: 2015-03-30 02:57

Hi there, at Piwik we also experience this issue. We are trying to optimise the algorithms and data structure of the leading open analytics platform. After making the refactor to have some of our objects use the ArrayObject feature (see https://github.com/piwik/piwik/pull/7570 [^]), we were hit by this bug which prevents us from debugging the code. Because we cannot debug the data structures (as explained in this issue), we decided not to implement the change for now, which prevents us from massive performance improvements.

That is to say we would love to have this feature in Xdebug :) Thank you for your consideration.

Btw we would be happy to sponsor the work to get it done, if this is a possibility (I've also emailed Derick to ask)

(0003056)
derick (administrator)
2015-04-06 00:53

Fixed for Xdebug 2.3.3

- Issue History
Date Modified Username Field Change
2013-10-31 11:47 SvetlanaZem New Issue
2013-10-31 11:47 SvetlanaZem File Added: xdebug.log
2014-03-09 11:48 mistbow Note Added: 0002765
2015-02-16 16:20 mistbow Note Added: 0002993
2015-02-16 16:53 mistbow File Added: Untitled-1.png
2015-03-30 02:47 mattab Note Added: 0003053
2015-03-30 02:57 mattab Note Edited: 0003053 View Revisions
2015-03-30 02:57 mattab Note Edited: 0003053 View Revisions
2015-04-06 00:53 derick Note Added: 0003056
2015-04-06 00:53 derick Status new => closed
2015-04-06 00:53 derick Assigned To => derick
2015-04-06 00:53 derick Resolution open => fixed
2015-04-06 00:53 derick Fixed in Version => 2.3.3
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker